<?php
require_once ("varables.php");
$myJSON['message'] = "خطای اعتبار";
$myJSON['mmm'] = array();
if(isset($_POST["netok"]) && isset($_POST["an1d"])
&& isset($_POST["cat1"])&& isset($_POST["cat2"])
&& isset($_POST["name"])&& isset($_POST["kode"])
&& isset($_POST["price"])&& isset($_POST["stack"])
&& isset($_POST["cmnt"]))
{
	$tokem =$_POST["netok"];
	$cat1 =$_POST["cat1"];
	$cat2 =$_POST["cat2"];
	$p_id =$_POST["an1d"];
	$name =$_POST["name"];
	$code =$_POST["kode"];
	$price =$_POST["price"];
	$stack =$_POST["stack"];
	$cm =$_POST["cmnt"];
	$off = 0;
	$vis = 0;
	$max = 0;
	$up = 0;
	$mino = 0;
	if(isset($_POST["off"]))
		$off = $_POST["off"];
	if(isset($_POST["vis"]))
		$vis = $_POST["vis"];
	if(isset($_POST["maxo"]))
		$max = $_POST["maxo"];
	if(isset($_POST["up"]))
		$up = $_POST["up"];
	if(isset($_POST["mino"]))
		$mino = $_POST["mino"];

	if($tokem == "mosenwebcom123@123"){
		$connect = @mysqli_connect($hostname,$username,$password,$database);
		if($connect)
		{
			@mysqli_query($connect,"SET CHARACTER SET utf8mb4;");
			$query_token = "UPDATE ".$tbl_products." SET Stack='".$stack."',P_comment='".$cm."',P_Code='".$code."',Price='".$price."',P_name='".$name."',cat1='".$cat1."',cat2='".$cat2."',off='".$off."',visible='".$vis."',maxo='".$max."',mino='".$mino."',up='".$up."' WHERE id = '".$p_id."'";
			$tokres=@mysqli_query($connect,$query_token);
			if (!$tokres) {
				$myJSON['message']="خطا هنگام ثبت";
			}
			else{
					$myJSON['message']= "200";
				}
						}
						else{
								$myJSON['message']="خطای اتصال به پایگاه داده";
						}
					}
					else{
							$myJSON['message']="خطای اعتبارسنجی";
					}
}


    echo  json_encode($myJSON);
?>
